Subject: Re: [PATCH v3 7/8] cgroup: Assign subsystem IDs during compile time

From: Tejun Heo <[email-masked]>
Date: Tue, 11 Sep 2012 14:08:21 -0700

On Tue, Sep 11, 2012 at 02:01:09PM -0700, Tejun Heo wrote:
> For example, it's not evident the above is correct and it's burried
> with all other changes.  Can't we just assign the fixed subsys ID to
> net_prio_subsys_id in this patch?  This patch would be correct without
> any netprio changes, no?

Oops, that was wrong.  net_prio_subsys_id itself becomes constant.
Let's please better explain why the RCU trick removal is safe then.

Thanks.

-- 
tejun